<?php

// If this file is called directly, abort.
if ( ! defined('ABSPATH')) {
    die;
}

/**
 * Class MP_Install
 *
 * @author Dominykas Tijūnaitis (dominykas@tijunaitis.lt)
 */
class MP_Install
{
    public static function install()
    {
        global $wpdb;

        $charset_collate = $wpdb->get_charset_collate();
        $table_name      = $wpdb->prefix . 'multiparcels_terminals';

        $sql = "CREATE TABLE $table_name (
		id mediumint(9) NOT NULL AUTO_INCREMENT,
		carrier_code VARCHAR(255) NOT NULL,
		identifier VARCHAR(255) NOT NULL,
		type VARCHAR(255) NOT NULL,
		name VARCHAR(255) NOT NULL,
		address VARCHAR(255) NOT NULL,
		postal_code VARCHAR(255) NOT NULL,
		city VARCHAR(255) NOT NULL,
		country_code VARCHAR(255) NOT NULL,
		UNIQUE KEY id (id)
	) $charset_collate;";

        require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
        dbDelta($sql);
    }

    public static function remove()
    {
        global $wpdb;

        $table_name = $wpdb->prefix . 'multiparcels_terminals';

        $wpdb->query("DROP TABLE IF EXISTS `" . $table_name . "`");
    }
}
