<?php

// If this file is called directly, abort.
if ( ! defined('ABSPATH')) {
    die;
}

/**
 * Class MP_Notices
 *
 * @author Dominykas Tijūnaitis (dominykas@tijunaitis.lt)
 */
class MP_Notices
{
    public function __construct()
    {
        add_action('admin_notices', [$this, 'api_key_errors']);
    }

    function api_key_errors()
    {
        if (get_current_screen()->id != 'woocommerce_page_multiparcels-shipping-for-woocommerce') {
            if (MultiParcels()->options->get('api_key') == null) {
                ?>
                <div class="error notice">
                    <p><?php _e('Configuration required for this plugin to function!',
                            'multiparcels-shipping-for-woocommerce'); ?></p>
                    <p>
                        <a href="<?php echo esc_attr(MultiParcels()->settings_url()); ?>">
                            <?php _e('Configure MultiParcels', 'multiparcels-shipping-for-woocommerce') ?>
                        </a>
                    </p>
                </div>
                <?php
            } elseif (MultiParcels()->permissions->get() == null) {
                ?>
                <div class="error notice">
                    <p><?php _e('Your provided API key is not working.',
                            'multiparcels-shipping-for-woocommerce'); ?></p>
                    <p>
                        <a href="<?php echo esc_attr(MultiParcels()->settings_url()); ?>">
                            <?php _e('Configure MultiParcels', 'multiparcels-shipping-for-woocommerce') ?>
                        </a>
                    </p>
                </div>
                <?php
            }
        }
    }
}

return new MP_Notices();